Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log
Interface ErrorHandler

All Known Implementing Classes:
  DefaultErrorHandler

    public interface ErrorHandler

Handle unrecoverable errors that occur during logging. Based on Log4js notion of ErrorHandlers.

Author:
  Peter Donald

Method Summary
`void` | `error(String message, Throwable throwable, LogEvent event)` Log an unrecoverable error.

Method Detail

### error

    void error(String message,
               Throwable throwable,
               LogEvent event)

  Log an unrecoverable error.

  Parameters:
    `message` - the error message
    `throwable` - the exception associated with error (may be null)
    `event` - the LogEvent that caused error, if any (may be null)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.